
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw3d/Viewport.h>
#include <X11/Xaw3d/List.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvFont.h>
#include <X11/xv/xvView.h>
#include <X11/xv/xvList.h>
#include <X11/xv/xvVisualList.h>

// -------------------------------------------

xvVisualList::xvVisualList()
{
}

// -------------------------------------------

xvVisualList::xvVisualList(String name, xvCore & parent, XtCallbackProc callback,
			int numdata, char *listdata[], int columns, Boolean design)
{
	init(name, parent, callback, numdata, listdata, columns, design);
}

// -------------------------------------------

xvVisualList::~xvVisualList()
{
}

// -------------------------------------------

void xvVisualList::init(String name, xvCore & parent, XtCallbackProc callback,
			int numdata, char *listdata[], int columns, Boolean design)
{

	xvView::init(name, parent.ID(), FALSE, FALSE, TRUE);	

	xvList::init("xvVisualList", xvView::ID(), callback, numdata, listdata, columns);

	if (design) {
		XtTranslations trans=XtParseTranslationTable(" ");
		xvList::SetResource(XtNtranslations, (XtArgVal) trans);
	}
	else
		xvView::ManageChildren(TRUE);
}

// ------------------------------------------

void xvVisualList::GetResource(String resname, XtArgVal *val)
{
	XtVaGetValues(xvList::ID(), resname, val, NULL);
}

// ------------------------------------------	

void xvVisualList::SetResource(String resname, XtArgVal val)
{
	XtVaSetValues(xvList::ID(), resname, val, NULL);
}

// ------------------------------------------	

void xvVisualList::SetFixedPosition(Boolean val)
{
	xvView::SetFixedPosition(val);
}

// ------------------------------------------

void xvVisualList::SetBackground(String name)
{
	xvList::SetBackground(name);
}

// --------------------------------------------

void xvVisualList::SetBackground(Pixel bg)
{
	xvList::SetBackground(bg);
}

// --------------------------------------------

void xvVisualList::SetForeground(String name)
{
	xvList::SetForeground(name);
}

// --------------------------------------------

void xvVisualList::SetForeground(Pixel fg)
{
	xvList::SetForeground(fg);
}

// --------------------------------------------

void xvVisualList::Map()
{
	xvView::Map();
}

// --------------------------------------------

void xvVisualList::Unmap()
{
	xvView::Unmap();
}

// --------------------------------------------

void xvVisualList::SetSensitive(Boolean sense)
{
	xvList::SetSensitive(sense);
}

// --------------------------------------------

void xvVisualList::SetMappedWhenManaged(Boolean man)
{
	xvView::SetMappedWhenManaged(man);
}

// --------------------------------------------

void xvVisualList::AddEvent(EventMask eventmask, XtEventHandler handler, XtPointer cdata)
{
	xvList::AddEvent(eventmask, handler, cdata);
}

// --------------------------------------------

void xvVisualList::RemoveEvent(EventMask eventmask, XtEventHandler handler, XtPointer cdata)
{
	xvList::RemoveEvent(eventmask, handler, cdata);
}

// --------------------------------------------
