
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

/* =============================================
	xvis user interface builder for Athena widgets using
	xv class library.

	Path Segment

	V1.0BETA  - last edited 25/06/96
    ============================================= */

// ---------------------------------------------
// Include file declarations

#include "xvis.h"
#include <string.h>
#include <stdio.h>

// ---------------------------------------------
// local forward function declares


// --------------------------------------------
// Callbacks

void pathAlert_call(Widget aw, XtPointer client, XtPointer call)
{
	pathAlert.Close();
}

void func_pathcancel(Widget aw, XtPointer client, XtPointer call)
{
	xvisPath.Close();
}

void func_dirlist_call(Widget aw, XtPointer client, XtPointer call)
{
	char prov[180];
	char *temp=pathlist.GetSelectedItem(call, XVRELATIVEPATH);
	strcpy(prov, pathlist.Directory(temp));
	if (pathlist.SetNewPath(prov, XVDIRLIST, TRUE) != -1) { 
		strcpy(provpath, prov);
		xvisPathLabel.SetLabel(provpath);
	}
	else {
		pathAlert.init("Can't Access directory!", xvisProps,
			"Access to the required directory is not allowed", XVMSGSIMPLEFATAL,
			"SkyBlue", pathAlert_call, pathAlert_call);
		pathAlert.Open((int)screenWidth/2, (int) screenHeight/2);
	}		
}

//---------------------------------------------
// Local Stuff

void buildPathWindow(XtCallbackProc ok_call)
{
	xvisPath.init("Pathlist", xvisControl);

	xvisPathForm.init("pathform", xvisPath, TRUE);		
	xvisPathForm.SetBackground("gray70");
	xvisPathLabel.init(cwd, xvisPathForm);
	xvisPathLabel.SetWidth(180);
	pathlist.init("Pathlist", xvisPathForm, "./", XVDIRLIST, TRUE, func_dirlist_call);
	pathlist.xvList::SetSize(150,180);
	pathlist.xvView::SetHorizDistance(15);
	pathlist.xvView::SetRelVertical(xvisPathLabel);
	pathok.init("OK", xvisPathForm, ok_call);
	pathok.SetDistance(20, 220);
	pathok.SetWidth(50);
	pathok.SetBeNiceToColormap(FALSE);

	pathcancel.init("Cancel", xvisPathForm, func_pathcancel);
	pathcancel.SetDistance(80, 220);
	pathcancel.SetWidth(50);
	pathcancel.SetBeNiceToColormap(FALSE);
}

// ---------------------------------

		